# $Revision: 1.38 $, $Date: 2010/01/08 12:54:47 $
# TODO:
# - build with MPICH
# - check missing file
#
# Conditional build:
%bcond_without	szip	# build without SZIP support
#
Summary:	Hierarchical Data Format 5 library
Summary(pl.UTF-8):	Biblioteka HDF5 (Hierarchical Data Format 5)
Name:		hdf5
Version:	1.8.4
Release:	1
License:	Nearly BSD, but changed sources must be marked
Group:		Libraries
Source0:	ftp://ftp.hdfgroup.org/HDF5/current/src/%{name}-%{version}.tar.gz
# Source0-md5:	971cc81ef10f50d2bb63cd6879fca7bc
Patch0:		%{name}-config.patch
Patch1:		%{name}-sig.patch
Patch2:		%{name}-link.patch
URL:		http://www.hdfgroup.org/HDF5/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	openssl-devel >= 0.9.7d
%{?with_szip:BuildRequires:	szip-devel >= 2.0}
BuildRequires:	zlib-devel >= 1.1.3
Obsoletes:	hdf5_hl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HDF5 is a completely new Hierarchical Data Format product consisting
of a data format specification and a supporting library
implementation. HDF5 is designed to address some of the limitations of
the older HDF product and to address current and anticipated
requirements of modern systems and applications.

%description -l pl.UTF-8
HDF5 jest całkowicie nowym produktem Hierarchiczego Formatu Danych,
składającym się ze specyfikacji formatu danych oraz obsługującej go
biblioteki. HDF5 został zaprojektowany aby pozbyć się ograniczeń
poprzedniego HDF oraz żeby zaspokoić bieżące i przyszłe potrzeby
współczesnych systemów i aplikacji.

%package devel
Summary:	HDF5 library development package
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki HDF5
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel
%{?with_szip:Requires:	szip-devel >= 2.0}
Requires:	zlib-devel
Obsoletes:	hdf5_hl-devel
Obsoletes:	hdf5_hl-tutor

%description devel
Header files for HDF5 library and HDF5 documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki HDF5 oraz dokumentacja HDF5.

%package static
Summary:	HDF5 static library
Summary(pl.UTF-8):	Statyczna biblioteka HDF5
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	hdf5_hl-static

%description static
Static version of HDF5 library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki HDF5.

%package progs
Summary:	HDF5 utilities
Summary(pl.UTF-8):	Narzędzia do plików HDF5
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}

%description progs
Utilities to convert from/to HDF5 format.

%description progs -l pl.UTF-8
Narzędzia do konwersji z i to formatu HDF5.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--docdir=%{_docdir} \
	--enable-cxx \
	--enable-linux-lfs \
	--enable-production \
	--with-pthread \
	--with-ssl \
	%{?with_szip:--with-szlib}

#	--enable-threadsafe is incompatible with cxx/fortran
#	--enable-fortran  - requires Fortran90 compiler

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}

%{__make} install \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	docdir=$RPM_BUILD_ROOT%{_docdir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__make} -C examples install-examples \
	EXAMPLEDIR=$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/c
%{__make} -C c++/examples install-examples \
	EXAMPLEDIR=$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/c++

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README.txt release_docs/{HISTORY*.txt,RELEASE.txt}
%attr(755,root,root) %{_libdir}/libhdf5.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhdf5.so.6
%attr(755,root,root) %{_libdir}/libhdf5_cpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhdf5_cpp.so.6
%attr(755,root,root) %{_libdir}/libhdf5_hl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhdf5_hl.so.6
%attr(755,root,root) %{_libdir}/libhdf5_hl_cpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhdf5_hl_cpp.so.6
# used to show configuration at runtime
%{_libdir}/libhdf5.settings

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhdf5.so
%attr(755,root,root) %{_libdir}/libhdf5_cpp.so
%attr(755,root,root) %{_libdir}/libhdf5_hl.so
%attr(755,root,root) %{_libdir}/libhdf5_hl_cpp.so
%{_libdir}/libhdf5.la
%{_libdir}/libhdf5_cpp.la
%{_libdir}/libhdf5_hl.la
%{_libdir}/libhdf5_hl_cpp.la
%{_includedir}/H5*.h
%{_includedir}/hdf5.h
%{_includedir}/hdf5_hl.h
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libhdf5.a
%{_libdir}/libhdf5_cpp.a
%{_libdir}/libhdf5_hl.a
%{_libdir}/libhdf5_hl_cpp.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hdf5.spec,v $
Revision 1.38  2010/01/08 12:54:47  draenog
- fix URL

Revision 1.37  2009/11/15 14:40:12  dirdival
- up to 1.8.4

Revision 1.36  2009/09/06 09:48:07  amateja
- updated to 1.8.3

Revision 1.35  2009/04/23 18:14:34  qboosh
- updated to 1.8.2 (note: new libhdf5 soname)
- updated sig patch

Revision 1.34  2008/06/05 16:11:00  qboosh
- updated to 1.8.1
- updated config,sig patches, added link patch

Revision 1.33  2007-06-14 18:20:28  arekm
- rel 3

Revision 1.32  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.30  2006/08/09 20:12:00  arekm
- rel 2

Revision 1.29  2005/11/15 18:07:46  qboosh
- updated to 1.6.5, updated patches

Revision 1.28  2005/03/28 22:00:56  qboosh
- added sig patch (fixes SIGBUS crash on sparc during alignment detection on build)
- release 2

Revision 1.27  2005/03/28 02:12:41  qboosh
- updated to 1.6.4 (hdf5_hl included now), updated config patch
- deal with szip deps
- Stream VFS is enabled by default now
- include *.settings files, release 1

Revision 1.26  2004/10/25 06:12:45  qboosh
- updated to 1.6.3, updated config patch

Revision 1.25  2004/03/19 23:46:26  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.24  2004/03/06 17:52:04  qboosh
- updated to 1.6.2, updated config patch

Revision 1.23  2003/11/22 21:09:17  qboosh
- more changes in config patch (build fix for alpha and ppc); release 0.2

Revision 1.22  2003/10/23 22:21:05  qboosh
- updated to 1.6.1

Revision 1.21  2003/09/30 20:18:23  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.20  2003/07/19 14:49:44  qboosh
- up to 1.6.0
- updated config patch, removed obsolete ac patch

Revision 1.19  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.18  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:48:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/01 16:34:23  wiget
- start update to 1.4.5 (almost done)

Revision 1.15  2003/02/13 14:03:33  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.14  2002/11/25 14:16:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.13  2002/10/05 14:00:18  qboosh
- killed subshell
- updated config patch: allow using -march=athlon, support for gcc 3.2,
  disabled static linking of tests (required libstdc++-static)
- release 3

Revision 1.12  2002/09/25 22:33:15  ankry
- removed BR hdf 4, added more programs, fixed URL
- release 2, stbr

Revision 1.11  2002/09/25 12:24:05  ankry
- updated to 1.4.4, rel. 1
NOTE: no hdf4 stuff

Revision 1.10  2002/09/25 08:40:56  ankry
- finished new %%doc

Revision 1.9  2002/09/24 14:33:31  kloczek
- !sort BuildRequires rules and use new %%doc.

Revision 1.8  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%%\{__libtoolize\}/"

Revision 1.7  2002/05/21 23:13:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%%\{__automake\}/; \
             s/^automake -a -c -f/\%%\{__automake\}/; \
	     s/^autoconf/\%%\{__autoconf\}/"

Revision 1.6  2002/04/25 16:33:20  arturs
fixed a small typo

Revision 1.5  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/26 18:21:08  qboosh
- enabled HDF 4.x <> HDF5 converters - as separate package (requires hdf libs)
- hdf4link patch - link with hdf 4.x only these binaries that require it
- acfix patch - ac 2.52 ready
- moved API and HDF5 format documentation to -devel
- release 2

Revision 1.2  2001/10/16 21:09:42  ankry
- fixed source URL

Revision 1.1  2001/10/16 13:42:26  qboosh
- new: HDF5 library (no, it doesn't obsolete HDF 4.x)
